jQuery(document).ready(function($) {

    //For toggle

    $(".toggle-content").hide();

	$(".toggle-trigger").click(function () {

		if($(".toggle-trigger").hasClass("active")){

			$(".toggle-content").hide();

			$(".toggle-trigger").removeClass("active");

		}else{

			$(".toggle-content").show();

			$(".toggle-trigger").addClass("active");

		}

	});
	
  	/*--- For scroll to top starts ---*/

	$(".wpweb-top").hide();

	// fade in .wpweb-top

	$(window).scroll(function () {

		var y = jQuery(this).scrollTop(); //getting y position from top

		var sidebar_main_height = jQuery('.wpweb-sidebar-main').height(); //getting sidebar height

		var footer_top = jQuery('.wpweb-footer-wrapper').offset().top; //getting footer position from top

		if (y > 100) {

			$('.wpweb-top').fadeIn();

		} else {

			$('.wpweb-top').fadeOut();

		}

		if ( ( y + sidebar_main_height ) <= ( footer_top ) ) {

			$('.wpweb-sidebar-main').fadeIn();

		} else {

			$('.wpweb-sidebar-main').fadeOut();

		}

	});

	// scroll body to top on click

	$('.wpweb-top').click(function () {

		$('html').animate({

			scrollTop: 0

		}, 800);

		return false;

	});

	/*--- For scroll to top ends ---*/
	
	/*--- Sidebar scroll functionality starts ---*/

	//make sure "sidebar" element exists

	 if ($('.wpweb-sidebar-main').offset()) {

		var stickyTop = $('.wpweb-sidebar-main').offset().top; // returns number 

		//scroll event

		$(window).scroll(function(){

			var windowTop = $(window).scrollTop(); // returns number 

			if (stickyTop < windowTop){

				$('.wpweb-sidebar-main').addClass('affix');

			}else{

				$('.wpweb-sidebar-main').removeClass('affix');

			}

			//Removing all 'active' class if we are at top

			if(windowTop == 0){

				$('.wpweb-sidebar li').removeClass('active');

			}

		});

	} //End if

	//Sidebar click scrolling

	$(document).on('click', '#wpweb-section-nav .nav li a', function(e) {

	    e.preventDefault();

	    target = this.hash;

	    var tab_offset = $(target).offset();

	    //Removing all 'active' class by default and add 'active' class to the current

	    $('.wpweb-sidebar li').removeClass('active');

	    $(this).parents('.nav').parent('li').addClass('active');

	    $(this).parent('li').addClass('active');

	    //Scrolling to the scrolled offset

	    if(typeof(tab_offset) != 'undefined'){

	    	$('html,body').animate({scrollTop: tab_offset.top}, 800);

	    }

	    return false;

	});

	/*--- Sidebar scroll functionality ends ---*/

	$("select").each(function (){

	      $(this).chosen({disable_search: true});

	  });

	$('.auto_submit').change(function() {

		window.location.href = $(this).val();

	});

});